Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Class RMMsgContext

    java.lang.Object
      org.apache.sandesha2.RMMsgContext

    public class RMMsgContext

extends java.lang.Object

This class is used to hold a MessageContext within Sandesha. This is used to easily manupilate the properties of a MessageContext.

Constructor Summary
`RMMsgContext()`
`RMMsgContext(org.apache.axis2.context.MessageContext ctx)`

Method Summary
`void` | `addAckRequested(AckRequested ackRequested)`
`void` | `addRelatesTo(org.apache.axis2.addressing.RelatesTo relatesTo)`
`void` | `addSequenceAcknowledgement(SequenceAcknowledgement sequenceAcknowledgement)`
`void` | `addSOAPEnvelope()` To add a new SOAP envelope to the message.
`void` | `fromSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope, java.lang.String action)`
`java.util.Iterator<AckRequested>` | `getAckRequests()`
`CloseSequence` | `getCloseSequence()`
`CloseSequenceResponse` | `getCloseSequenceResponse()`
`org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()`
`CreateSequence` | `getCreateSequence()`
`CreateSequenceResponse` | `getCreateSequenceResponse()`
`org.apache.axis2.addressing.EndpointReference` | `getFaultTo()`
`int` | `getFlow()`
`org.apache.axis2.addressing.EndpointReference` | `getFrom()`
`java.lang.String` | `getGeneratedSequenceId()` This will return the sequenceId if it could be derived from the SOAP envelope, in the message initiation.
`MakeConnection` | `getMakeConnection()`
`org.apache.axis2.context.MessageContext` | `getMessageContext()`
`java.lang.String` | `getMessageId()`
`MessagePending` | `getMessagePending()`
`int` | `getMessageType()`
`java.lang.Object` | `getProperty(java.lang.String key)`
`org.apache.axis2.addressing.RelatesTo` | `getRelatesTo()`
`org.apache.axis2.addressing.EndpointReference` | `getReplyTo()`
`java.lang.String` | `getRMNamespaceValue()`
`java.lang.String` | `getRMSpecVersion()`
`Sequence` | `getSequence()`
`java.util.Iterator<SequenceAcknowledgement>` | `getSequenceAcknowledgements()`
`SequenceFault` | `getSequenceFault()`
`org.apache.axiom.soap.SOAPEnvelope` | `getSOAPEnvelope()`
`TerminateSequence` | `getTerminateSequence()`
`TerminateSequenceResponse` | `getTerminateSequenceResponse()`
`org.apache.axis2.addressing.EndpointReference` | `getTo()`
`UsesSequenceSTR` | `getUsesSequenceSTR()`
`java.lang.String` | `getWSAAction()`
`void` | `pause()`
`void` | `setAckRequested(java.util.ArrayList<AckRequested> ackRequests)`
`void` | `setAction(java.lang.String action)`
`void` | `setCloseSequence(CloseSequence closeSequence)`
`void` | `setCloseSequenceResponse(CloseSequenceResponse closeSequenceResponse)`
`void` | `setCreateSequence(CreateSequence createSequence)`
`void` | `setCreateSequenceResponse(CreateSequenceResponse createSequenceResponse)`
`void` | `setFaultTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setFlow(int flow)`
`void` | `setFrom(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setMakeConnection(MakeConnection makeConnection)`
`void` | `setMessageContext(org.apache.axis2.context.MessageContext msgCtx)`
`void` | `setMessageId(java.lang.String messageId)`
`void` | `setMessagePending(MessagePending messagePending)`
`void` | `setMessageType(int msgType)` The message type can be used to easily identify what this message is.
`void` | `setPaused(boolean pause)`
`boolean` | `setProperty(java.lang.String key, java.lang.Object val)`
`void` | `setReplyTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setRMNamespaceValue(java.lang.String rmNamespaceValue)`
`void` | `setSequence(Sequence sequence)`
`void` | `setSequenceAcknowledgements(java.util.ArrayList<SequenceAcknowledgement> sequenceAcknowledgements)`
`void` | `setSequenceFault(SequenceFault sequenceFault2)`
`void` | `setSOAPAction(java.lang.String SOAPAction)`
`void` | `setSOAPEnvelop(org.apache.axiom.soap.SOAPEnvelope envelope)`
`void` | `setTerminateSequence(TerminateSequence terminateSequence)`
`void` | `setTerminateSequenceResponse(TerminateSequenceResponse terminateSequenceResponse)`
`void` | `setTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setUsesSequenceSTR(UsesSequenceSTR header)`
`void` | `setWSAAction(java.lang.String URI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMMsgContext

    public RMMsgContext()

### RMMsgContext

    public RMMsgContext(org.apache.axis2.context.MessageContext ctx)

Method Detail

### setMessageContext

    public void setMessageContext(org.apache.axis2.context.MessageContext msgCtx)

### addSOAPEnvelope

    public void addSOAPEnvelope()
                         throws org.apache.axis2.AxisFault

  To add a new SOAP envelope to the message. The generated envelope will belong to the SOAP version of the MessageContext. We will be going through each MessagePart and adding it to the envelope. In other words all the MessageParts that are available in the RMMsg will be added to the SOAP envelope after this. TODO Re-work this method as it's poorly named and confusing.

  Throws:
    `SandeshaException`
    `org.apache.axis2.AxisFault`

### getMessageType

    public int getMessageType()

### setMessageType

    public void setMessageType(int msgType)

  The message type can be used to easily identify what this message is. Possible message types are given in the Constnts.MessageTypes interface.

  Parameters:
    `msgType` -

### getFrom

    public org.apache.axis2.addressing.EndpointReference getFrom()

### getTo

    public org.apache.axis2.addressing.EndpointReference getTo()

### getReplyTo

    public org.apache.axis2.addressing.EndpointReference getReplyTo()

### getRelatesTo

    public org.apache.axis2.addressing.RelatesTo getRelatesTo()

### getMessageId

    public java.lang.String getMessageId()

### setFaultTo

    public void setFaultTo(org.apache.axis2.addressing.EndpointReference epr)

### getFaultTo

    public org.apache.axis2.addressing.EndpointReference getFaultTo()

### getSOAPEnvelope

    public org.apache.axiom.soap.SOAPEnvelope getSOAPEnvelope()

### setSOAPEnvelop

    public void setSOAPEnvelop(org.apache.axiom.soap.SOAPEnvelope envelope)
                        throws SandeshaException

  Throws:
    `SandeshaException`

### setFrom

    public void setFrom(org.apache.axis2.addressing.EndpointReference epr)

### setTo

    public void setTo(org.apache.axis2.addressing.EndpointReference epr)

### setReplyTo

    public void setReplyTo(org.apache.axis2.addressing.EndpointReference epr)

### setMessageId

    public void setMessageId(java.lang.String messageId)

### setAction

    public void setAction(java.lang.String action)

### addRelatesTo

    public void addRelatesTo(org.apache.axis2.addressing.RelatesTo relatesTo)

### setWSAAction

    public void setWSAAction(java.lang.String URI)

### getWSAAction

    public java.lang.String getWSAAction()

### getMessageContext

    public org.apache.axis2.context.MessageContext getMessageContext()

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.Object val)

### getConfigurationContext

    public org.apache.axis2.context.ConfigurationContext getConfigurationContext()

### setSOAPAction

    public void setSOAPAction(java.lang.String SOAPAction)

### pause

    public void pause()

### setPaused

    public void setPaused(boolean pause)

### getRMNamespaceValue

    public java.lang.String getRMNamespaceValue()

### setRMNamespaceValue

    public void setRMNamespaceValue(java.lang.String rmNamespaceValue)

### getRMSpecVersion

    public java.lang.String getRMSpecVersion()

### setFlow

    public void setFlow(int flow)

### getFlow

    public int getFlow()

### getGeneratedSequenceId

    public java.lang.String getGeneratedSequenceId()

  This will return the sequenceId if it could be derived from the SOAP envelope, in the message initiation.

  Returns:

### getCreateSequence

    public CreateSequence getCreateSequence()

### getCreateSequenceResponse

    public CreateSequenceResponse getCreateSequenceResponse()

### getSequence

    public Sequence getSequence()

### getSequenceAcknowledgements

    public java.util.Iterator<SequenceAcknowledgement> getSequenceAcknowledgements()

### getTerminateSequence

    public TerminateSequence getTerminateSequence()

### getTerminateSequenceResponse

    public TerminateSequenceResponse getTerminateSequenceResponse()

### setCreateSequence

    public void setCreateSequence(CreateSequence createSequence)

### setCreateSequenceResponse

    public void setCreateSequenceResponse(CreateSequenceResponse createSequenceResponse)

### setSequence

    public void setSequence(Sequence sequence)

### setSequenceAcknowledgements

    public void setSequenceAcknowledgements(java.util.ArrayList<SequenceAcknowledgement> sequenceAcknowledgements)

### addSequenceAcknowledgement

    public void addSequenceAcknowledgement(SequenceAcknowledgement sequenceAcknowledgement)

### setTerminateSequence

    public void setTerminateSequence(TerminateSequence terminateSequence)

### setTerminateSequenceResponse

    public void setTerminateSequenceResponse(TerminateSequenceResponse terminateSequenceResponse)

### getAckRequests

    public java.util.Iterator<AckRequested> getAckRequests()

### setAckRequested

    public void setAckRequested(java.util.ArrayList<AckRequested> ackRequests)

### addAckRequested

    public void addAckRequested(AckRequested ackRequested)

### setMakeConnection

    public void setMakeConnection(MakeConnection makeConnection)

### setMessagePending

    public void setMessagePending(MessagePending messagePending)

### getCloseSequence

    public CloseSequence getCloseSequence()

### setCloseSequence

    public void setCloseSequence(CloseSequence closeSequence)

### getCloseSequenceResponse

    public CloseSequenceResponse getCloseSequenceResponse()

### setCloseSequenceResponse

    public void setCloseSequenceResponse(CloseSequenceResponse closeSequenceResponse)

### getUsesSequenceSTR

    public UsesSequenceSTR getUsesSequenceSTR()

### setUsesSequenceSTR

    public void setUsesSequenceSTR(UsesSequenceSTR header)

### getMakeConnection

    public MakeConnection getMakeConnection()

### getMessagePending

    public MessagePending getMessagePending()

### getSequenceFault

    public SequenceFault getSequenceFault()

### setSequenceFault

    public void setSequenceFault(SequenceFault sequenceFault2)

### fromSOAPEnvelope

    public void fromSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope,
                                 java.lang.String action)
                          throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.